# bigip_apm_policy_fetch – Exports the APM policy or APM access profile from remote nodes

New in version 2.8.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Exports the apm policy or APM access profile from remote nodes.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
dest path |  | A directory to save the file into.
file string |  | The name of the file to be created on the remote device for downloading.

force
boolean

Choices:
- no
- yes ←

If `no`, the file will only be transferred if it does not exist in the the destination.

name string / required |  | The name of the APM policy or APM access profile exported to create a file on the remote device for downloading.
partition string | Default: "Common" | Device partition to which contain APM policy or APM access profile to export.
provider dictionary added in 2.5 |  | A dict object containing connection details.
| auth_provider string |  | Configures the auth provider for to obtain authentication tokens from the remote device. This option is really used when working with BIG-IQ devices.
| password string / required |  | The password for the user account used to connect to the BIG-IP. You may omit this option by setting the environment variable `F5_PASSWORD`. aliases: pass, pwd
| server string / required |  | The BIG-IP host. You may omit this option by setting the environment variable `F5_SERVER`.
| server_port integer | Default: 443 | The BIG-IP server port. You may omit this option by setting the environment variable `F5_SERVER_PORT`.
| ssh_keyfile path |  | Specifies the SSH keyfile to use to authenticate the connection to the remote device. This argument is only used for cli transports. You may omit this option by setting the environment variable `ANSIBLE_NET_SSH_KEYFILE`.
| timeout integer |  | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.

transport
string

Choices:
- cli
- rest ←

Configures the transport connection to use when connecting to the remote device.

| user string / required |  | The username to connect to the BIG-IP with. This user must have administrative privileges on the device. You may omit this option by setting the environment variable `F5_USER`.

validate_certs
boolean

Choices:
- no
- yes ←

If `no`, SSL certificates are not validated. Use this only on personally controlled sites using self-signed certificates.
You may omit this option by setting the environment variable `F5_VALIDATE_CERTS`.

type
string

Choices:
- profile_access ←
- access_policy

Specifies the type of item to export from device.

## Notes

Note

- Due to ID685681 it is not possible to execute ng_* tools via REST api on v12.x and 13.x, once this is fixed this restriction will be removed.
- Requires BIG-IP >= 14.0.0
- For more information on using Ansible to manage F5 Networks devices see https://www.ansible.com/integrations/networks/f5.
- Requires BIG-IP software version >= 12.
- The F5 modules only manipulate the running configuration of the F5 product. To ensure that BIG-IP specific configuration persists to disk, be sure to include at least one task that uses the bigip_config module to save the running configuration. Refer to the module’s documentation for the correct usage of the module to save your running configuration.

## Examples

    - name: Export APM access profile
      bigip_apm_policy_fetch:
        name: foobar
        file: export_foo
        dest: /root/download
        provider:
          password: secret
          server: lb.mydomain.com
          user: admin
      delegate_to: localhost

    - name: Export APM access policy
      bigip_apm_policy_fetch:
        name: foobar
        file: export_foo
        dest: /root/download
        type: access_policy
        provider:
          password: secret
          server: lb.mydomain.com
          user: admin
      delegate_to: localhost

    - name: Export APM access profile, autogenerate name
      bigip_apm_policy_fetch:
        name: foobar
        dest: /root/download
        provider:
          password: secret
          server: lb.mydomain.com
          user: admin
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
dest string | changed | Local path to download exported APM policy. Sample: /root/downloads/profile-foobar_file.conf.tar.gz
file string | changed | Name of the exported file on the remote BIG-IP to download. If not specified, then this will be a randomly generated filename. Sample: foobar_file
name string | changed | Name of the APM policy or APM access profile to be exported. Sample: APM_policy_global
type string | changed | Set to specify type of item to export. Sample: access_policy

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by an Ansible Partner. [certified]

### Authors

- Wojciech Wypior (@wojtek0806)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.